package es.verdnatura.domain
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

class ApiNodeJsUtils {

    companion object {
        const val BASE_URL:String = "http://10.1.4.72:7777/"
        // const val BASE_URL:String = "https://smart-tag.verdnatura.es"
        fun getApiService():NodeJsService{
            val nodeJsRetrofit = Retrofit.Builder().baseUrl(BASE_URL).addConverterFactory(
                GsonConverterFactory.create()).build()
            return nodeJsRetrofit.create(NodeJsService::class.java)
        }
    }
}